<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.14" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcyhal__dac__t" kind="struct" language="C++" prot="public">
    <compoundname>cyhal_dac_t</compoundname>
    <includes local="no">cyhal_hw_types.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcyhal__dac__t_1a5b0e17875a2da127bcdbaeb51f5a66c1" kind="variable" mutable="no" prot="public" static="no">
        <type>CTDAC_Type *</type>
        <definition>CTDAC_Type* cyhal_dac_t::base_dac</definition>
        <argsstring />
        <name>base_dac</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" bodystart="307" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" line="307" />
      </memberdef>
      <memberdef id="structcyhal__dac__t_1a143f8ee01aefa9db1120ef8851efe5bc" kind="variable" mutable="no" prot="public" static="no">
        <type>CTBM_Type *</type>
        <definition>CTBM_Type* cyhal_dac_t::base_opamp</definition>
        <argsstring />
        <name>base_opamp</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" bodystart="308" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" line="308" />
      </memberdef>
      <memberdef id="structcyhal__dac__t_1ac8e0a257738d4a4fe97862e3e177ab2e" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structcyhal__resource__inst__t">cyhal_resource_inst_t</ref></type>
        <definition>cyhal_resource_inst_t cyhal_dac_t::resource_dac</definition>
        <argsstring />
        <name>resource_dac</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" bodystart="309" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" line="309" />
      </memberdef>
      <memberdef id="structcyhal__dac__t_1af45e23f1a63602534c1306cbb8038fc3" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structcyhal__resource__inst__t">cyhal_resource_inst_t</ref></type>
        <definition>cyhal_resource_inst_t cyhal_dac_t::resource_opamp</definition>
        <argsstring />
        <name>resource_opamp</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" bodystart="310" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" line="310" />
      </memberdef>
      <memberdef id="structcyhal__dac__t_1aec0112cc65bfebc5669e436c9b877727" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structcyhal__resource__inst__t">cyhal_resource_inst_t</ref></type>
        <definition>cyhal_resource_inst_t cyhal_dac_t::resource_aref_opamp</definition>
        <argsstring />
        <name>resource_aref_opamp</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" bodystart="311" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" line="311" />
      </memberdef>
      <memberdef id="structcyhal__dac__t_1a7e9694b84de60b955ff0d8a6afbc55c2" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__hal__impl__pin__package__psoc6__01__104__m__csp__ble_1ga707195ce0627016bf371643bdd9caa51">cyhal_gpio_t</ref></type>
        <definition>cyhal_gpio_t cyhal_dac_t::pin</definition>
        <argsstring />
        <name>pin</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" bodystart="312" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" line="312" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>DAC object. </para>    </briefdescription>
    <detaileddescription>
<para>Application code should not rely on the specific contents of this struct. They are considered an implementation detail which is subject to change between platforms and/or HAL releases. </para>    </detaileddescription>
    <collaborationgraph>
      <node id="33">
        <label>cyhal_dac_t</label>
        <link refid="structcyhal__dac__t" />
        <childnode refid="34" relation="usage">
          <edgelabel>resource_opamp</edgelabel>
          <edgelabel>resource_dac</edgelabel>
          <edgelabel>resource_aref_opamp</edgelabel>
        </childnode>
      </node>
      <node id="34">
        <label>cyhal_resource_inst_t</label>
        <link refid="structcyhal__resource__inst__t" />
      </node>
    </collaborationgraph>
    <location bodyend="316" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" bodystart="305" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" line="305" />
    <listofallmembers>
      <member prot="public" refid="structcyhal__dac__t_1a5b0e17875a2da127bcdbaeb51f5a66c1" virt="non-virtual"><scope>cyhal_dac_t</scope><name>base_dac</name></member>
      <member prot="public" refid="structcyhal__dac__t_1a143f8ee01aefa9db1120ef8851efe5bc" virt="non-virtual"><scope>cyhal_dac_t</scope><name>base_opamp</name></member>
      <member prot="public" refid="structcyhal__dac__t_1a7e9694b84de60b955ff0d8a6afbc55c2" virt="non-virtual"><scope>cyhal_dac_t</scope><name>pin</name></member>
      <member prot="public" refid="structcyhal__dac__t_1aec0112cc65bfebc5669e436c9b877727" virt="non-virtual"><scope>cyhal_dac_t</scope><name>resource_aref_opamp</name></member>
      <member prot="public" refid="structcyhal__dac__t_1ac8e0a257738d4a4fe97862e3e177ab2e" virt="non-virtual"><scope>cyhal_dac_t</scope><name>resource_dac</name></member>
      <member prot="public" refid="structcyhal__dac__t_1af45e23f1a63602534c1306cbb8038fc3" virt="non-virtual"><scope>cyhal_dac_t</scope><name>resource_opamp</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>